#######################################################################
##
##  Authentication Module
## -----------------------
##
## See http://redmine.lighttpd.net/projects/lighttpd/wiki/docs_modauth
## for more info.
##

auth.backend                 = "htpasswd"
auth.backend.htpasswd.userfile = "/etc/lighttpd/password.file"
#auth.backend.plain.userfile  = "/etc/lighttpd/lighttpd.user"
#auth.backend.plain.groupfile = "/etc/lighttpd/lighttpd.group"
#auth.backend.ldap.hostname = "localhost"
#auth.backend.ldap.base-dn  = "dc=my-domain,dc=com"
#auth.backend.ldap.filter   = "(uid=$)"

auth.require               = ( "/" =>
                               (
                                 "method"  => "basic",
                                 "realm"   => "Please enter your password.",
                                 "require" => "valid-user"
                               ),
                             )

##
#######################################################################

